#
# spec file for package palaura
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.lainsce.palaura
Name:           palaura
Version:        1.5.1
Release:        2.3
Summary:        A dictionary with word definitions
License:        GPL-3.0-or-later
URL:            https://github.com/lainsce/palaura
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite) >= 5.1.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)

%description
palaura is a dictionary application featuring word definitions.
It uses the Oxford Dictionaries API for lookups.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%fdupes %{buildroot}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml
%dir %{_datadir}/icons/hicolor/{128x128@2,128x128@2/apps,16x16@2,16x16@2/apps,24x24@2,24x24@2/apps,32x32@2,32x32@2/apps,48x48@2,48x48@2/apps,64x64@2,64x64@2/apps}

%changelog
* Mon Nov 18 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove HiDPI workaround
* Mon May 17 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.5.1
  * New API based on Google Dictionary, should be more stable
* Thu Apr 30 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.2:
  * Merge pull request #47 from binotaliu/bugfix/text-category
  * fix text category parse
  * Merge pull request #46 from ryonakano/use-gtk-application
  * Use Gtk.Application instead of deprecated Granite.Application
* Wed Feb 19 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.1:
  * fix showing list of results
  * Merge branch 'master' of https://github.com/lainsce/palaura
    palaura.changes palaura.spec
  * RISE FROM YOUR GRAVE!
  * Merge pull request #40 from meisenzahl/master
  * Update README.md
  * Update meson.build
  * Update com.github.lainsce.palaura.appdata.xml.in
* Thu Jul  4 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.8:
  * Create FUNDING.yml
  * Add README.md
  * Add other languages + Update build
  * Fix build
  * Merge pull request #32 from Vistaus/master
  * Add nl_NL
* Mon Mar 11 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.5:
  * Merge pull request #28 from NathanBnm/master
* Tue Dec 18 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.4:
  * moderate "social info" OARS due to sending data
  * Update meson.build
  * Update com.github.lainsce.palaura.appdata.xml
* Mon Sep 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.3:
  * Clean the deb-packaging branch
* Thu Aug 16 2018 jengelh@inai.de
- Use noun phrasing.
* Wed Aug  1 2018 avvissu@yandex.by
- Update to 1.0.2:
  * Juno initial release.
- Build with granite >= 0.5
- Switch to metainfo from appdata
- Remove obsolete macros
* Tue Nov 21 2017 avvissu@yandex.by
- Update to 1.0.1:
  * small change
  * update changelog
  * update appdata
  * problem solution when trying to see examples of some words
  * removal of MyJsonReader class
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
